[package]
name = "stoptime_server"
version = "0.1.0"
authors = ["Paul van Tilburg <paul@luon.net>"]
description = """
The web server for task/project time registration and invoicing.
"""
edition = "2018"

[dependencies]
rocket = "0.4.2"
serde = "1.0.92"
serde_json = "1.0.39"
serde_derive = "1.0.92"
dotenv = "0.14.1"

[dependencies.chrono]
version = "0.4.6"
features = ["serde"]

[dependencies.diesel]
version = "1.4.2"
features = ["chrono", "sqlite"]

[dependencies.rocket_contrib]
version = "0.4.2"
default-features = false
features = ["json", "serve"]
